JBoss API: Class StatefulSessionProxy

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.jrmp13.interfaces
Class StatefulSessionProxy

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.jrmp.interfaces.GenericProxy
            |
            +--org.jboss.ejb.plugins.jrmp.interfaces.BeanProxy
                  |
                  +--org.jboss.ejb.plugins.jrmp.interfaces.StatefulSessionProxy
                        |
                        +--org.jboss.ejb.plugins.jrmp13.interfaces.StatefulSessionProxy

All Implemented Interfaces:
  java.io.Externalizable, java.lang.reflect.InvocationHandler, java.io.Serializable

public final class StatefulSessionProxy
extends StatefulSessionProxy
implements java.lang.reflect.InvocationHandler

Version:
  $Revision: 1.4 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com)
See Also:
  , Serialized Form

Fields inherited from class org.jboss.ejb.plugins.jrmp.interfaces.StatefulSessionProxy
`id`

Fields inherited from class org.jboss.ejb.plugins.jrmp.interfaces.BeanProxy
`GET_EJB_HOME, GET_HANDLE, GET_PRIMARY_KEY, IS_IDENTICAL`

Fields inherited from class org.jboss.ejb.plugins.jrmp.interfaces.GenericProxy
`container, EMPTY_ARGS, EQUALS, HASH_CODE, initialContextHandle, name, optimize, TO_STRING, tpcFactory`

Constructor Summary
`StatefulSessionProxy()`
`StatefulSessionProxy(java.lang.String name, ContainerRemote container, java.lang.Object id, boolean optimize)`

Methods inherited from class org.jboss.ejb.plugins.jrmp.interfaces.StatefulSessionProxy
`invoke, readExternal, writeExternal`

Methods inherited from class org.jboss.ejb.plugins.jrmp.interfaces.BeanProxy
`getEJBHome, isIdentical`

Methods inherited from class org.jboss.ejb.plugins.jrmp.interfaces.GenericProxy
`addLocal, createInitialContext, createMarshalledObject, getCredential, getPrincipal, getTransaction, getTransactionPropagationContext, invokeContainer, isLocal, removeLocal, setTPCFactory, setTransactionManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.lang.reflect.InvocationHandler
`invoke`

Constructor Detail

### StatefulSessionProxy

    public StatefulSessionProxy()

### StatefulSessionProxy

    public StatefulSessionProxy(java.lang.String name,
                                ContainerRemote container,
                                java.lang.Object id,
                                boolean optimize)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.